#!/usr/bin/python

import activity
import glive
import canvas
import pygame

# Start at an arbitrary high number and pray we don't conflict.

# This is a python event fired when a camera picture was taken.
# It has one property, pixbuf, which contains the pixels of the
# image as a GTK pixbuf.
PICTAKEN = pygame.USEREVENT + 1


# Activity reference
MyActivity = None


# Takes a picture and delivers a 'PICTAKEN' event on the Pygame
# event queue when it arrives.
def takePic():
    if MyActivity is not None:
        MyActivity._livevideo.playa.takePic()
    else:
        print "Activity was not init'd"
